﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Data> source = new List<Data>();
            source.Add(new Data() { DueDate = DateTime.Today, Id = 1 });
            source.Add(new Data() { DueDate = DateTime.Today.AddDays(1), Id = 2 });
            source.Add(new Data() { DueDate = DateTime.Today.AddDays(1), Id = 3 });
            source.Add(new Data() { DueDate = DateTime.Today, Id = 4 });
            source.Add(new Data() { DueDate = DateTime.Today, Id = 5 });

            Dictionary<DateTime, int> convertedSource = new Dictionary<DateTime, int>();
            foreach (var item in source)
            {
                if (convertedSource.ContainsKey(item.DueDate))
                {
                    convertedSource[item.DueDate]++;
                }
                else
                convertedSource.Add(item.DueDate, 1);
            }

            this.DataContext = convertedSource;
        }
    }

    public class Data
    {
        public DateTime DueDate { get; set; }
        public int Id { get; set; }
    }

}
